Bug 1259558 - "Indirect" should be "redirect"?
"Indirect" should be "redirect"?
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.4.0
Unspecified Unspecified
high Severity medium
: post-GA
: EAP 6.4.3
Assigned To: David Michael
Jan Martiska
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-02 23:38 EDT by Lucas Costi
Modified: 2015-10-20 01:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build Name: 23088, Development Guide-6.4 Build Date: 01-09-2015 14:14:20 Topic ID: 4584-734039 [Latest]
Last Closed: 2015-10-20 01:01:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lucas Costi 2015-09-02 23:38:14 EDT
This issue was raised by a translator for the 6.4 Development Guide, in the topic "About Bean Proxies".

http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.4/html-single/Development_Guide/index.html#sect-Bean_Proxies

For the sentence:

"Unless the bean is a dependent object (scope @Dependent), the container must indirect all injected references to the bean using a proxy object."

I assume the "indirect" should instead be "redirect" (or "direct"?).
Comment 4 Jan Martiska 2015-09-25 09:19:01 EDT
That's quite difficult to decide which is better here. I think both words fit quite fine in this context, at least according to my limited understanding of the English language. The whole sentence is a little bit confusing and could've been constructed better. But let's leave it, I think people will understand it.

Note You need to log in before you can comment on or make changes to this bug.